"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Packet = void 0;
const bufwrapper_1 = require("@minecraft-js/bufwrapper");
const BufWrapperLunarPlugin = require("./BufWrapperPlugin");
/** Class representing a packet */
class Packet {
    /**
     * Read or write a packet
     * @param buf Buffer to create the packet from, can be `undefined` if you are building a packet
     */
    constructor(buf) {
        this.buf =
            buf ||
                new bufwrapper_1.BufWrapper(null, {
                    oneConcat: true,
                    plugins: { lunar: BufWrapperLunarPlugin },
                });
    }
    /**
     * Write the data to the packet
     * @param data Data to write into the packet,
     * if not present it'll use the `data` property.
     * If the `data` parameter is present, it will
     * override the `data` property.
     */
    write(data) {
        throw new Error(`${Object.getPrototypeOf(this).constructor.name}#write is not implemented!`);
    }
    /**
     * Read the packet content
     * @returns The read content of the packet
     */
    read() {
        throw new Error(`${Object.getPrototypeOf(this).constructor.name}#read is not implemented!`);
    }
}
exports.Packet = Packet;
