import { ServerRuleEnum } from '../../constants';
import { Packet } from '../Packet';
export declare class ServerRulePacket extends Packet<ServerRule> {
    static id: number;
    write(data?: ServerRule): void;
    read(): ServerRule;
}
/**
 * Server rule packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketServerRule.java
 */
declare type ServerRule = {
    rule: ServerRuleEnum;
    booleanValue?: boolean;
    intValue?: number;
    floatValue?: number;
    stringValue?: string;
};
export {};
