"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TitlePacket = void 0;
const Packet_1 = require("../Packet");
class TitlePacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeString(this.data.type);
        this.buf.writeString(this.data.message);
        this.buf.writeFloat(this.data.scale);
        this.buf.writeLong(this.data.displayTimeMs);
        this.buf.writeLong(this.data.fadeInTimeMs);
        this.buf.writeLong(this.data.fadeOutTimeMs);
        this.buf.finish();
    }
    read() {
        this.data = {
            type: this.buf.readUUID(),
            message: this.buf.readString(),
            scale: this.buf.readFloat(),
            displayTimeMs: this.buf.readLong(),
            fadeInTimeMs: this.buf.readLong(),
            fadeOutTimeMs: this.buf.readLong(),
        };
        return this.data;
    }
}
exports.TitlePacket = TitlePacket;
TitlePacket.id = 14;
