import { Packet } from '../Packet';
export declare class VoiceMutePacket extends Packet<VoiceMute> {
    static id: number;
    write(data?: VoiceMute): void;
    read(): VoiceMute;
}
/**
 * Voice mute packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketVoiceMute.java
 */
interface VoiceMute {
    muting: string;
    volume: number;
}
export {};
