"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorldBorderPacket = void 0;
const Packet_1 = require("../Packet");
class WorldBorderPacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        const isNotNull = this.data.id !== null;
        this.buf.writeBoolean(isNotNull);
        if (isNotNull)
            this.buf.writeString(this.data.id);
        this.buf.writeString(this.data.world);
        this.buf.writeBoolean(this.data.cancelsExit);
        this.buf.writeBoolean(this.data.canShrinkExpand);
        this.buf.writeInt(this.data.color);
        this.buf.writeDouble(this.data.minX);
        this.buf.writeDouble(this.data.minZ);
        this.buf.writeDouble(this.data.maxX);
        this.buf.writeDouble(this.data.maxZ);
        this.buf.finish();
    }
    read() {
        const isNotNull = this.buf.readBoolean();
        const id = isNotNull ? this.buf.readString() : null;
        this.data = {
            id,
            world: this.buf.readString(),
            cancelsExit: this.buf.readBoolean(),
            canShrinkExpand: this.buf.readBoolean(),
            color: this.buf.readInt(),
            minX: this.buf.readDouble(),
            minZ: this.buf.readDouble(),
            maxX: this.buf.readDouble(),
            maxZ: this.buf.readDouble(),
        };
        return this.data;
    }
}
exports.WorldBorderPacket = WorldBorderPacket;
WorldBorderPacket.id = 20;
