import { Packet } from '../Packet';
export declare class WorldBorderUpdateNewPacket extends Packet<WorldBorderUpdateNew> {
    static id: number;
    write(data?: WorldBorderUpdateNew): void;
    read(): WorldBorderUpdateNew;
}
/**
 * World border remove new packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketWorldBorderUpdateNew.java
 */
interface WorldBorderUpdateNew {
    id: string;
    minX: number;
    minZ: number;
    maxX: number;
    maxZ: number;
    durationTicks: number;
    cancelsEntry: boolean;
    cancelsExit: boolean;
    color: number;
}
export {};
