"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorldBorderUpdateNewPacket = void 0;
const Packet_1 = require("../Packet");
class WorldBorderUpdateNewPacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeString(this.data.id);
        this.buf.writeDouble(this.data.minX);
        this.buf.writeDouble(this.data.minZ);
        this.buf.writeDouble(this.data.maxX);
        this.buf.writeDouble(this.data.maxZ);
        this.buf.writeInt(this.data.durationTicks);
        this.buf.writeBoolean(this.data.cancelsEntry);
        this.buf.writeBoolean(this.data.cancelsExit);
        this.buf.writeInt(this.data.color);
        this.buf.finish();
    }
    read() {
        this.data = {
            id: this.buf.readString(),
            minX: this.buf.readDouble(),
            minZ: this.buf.readDouble(),
            maxX: this.buf.readDouble(),
            maxZ: this.buf.readDouble(),
            durationTicks: this.buf.readInt(),
            cancelsEntry: this.buf.readBoolean(),
            cancelsExit: this.buf.readBoolean(),
            color: this.buf.readInt(),
        };
        return this.data;
    }
}
exports.WorldBorderUpdateNewPacket = WorldBorderUpdateNewPacket;
WorldBorderUpdateNewPacket.id = 30;
