import { Packet } from '../Packet';
export declare class WaypointAddPacket extends Packet<WaypointAdd> {
    static id: number;
    write(data?: WaypointAdd): void;
    read(): WaypointAdd;
}
/**
 * Waypoint add packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/shared/LCPacketWaypointAdd.java
 */
interface WaypointAdd {
    /** Name of the waypoint */
    name: string;
    /**
     * The world the waypoint is in (make it empty
     * to set the world the player is currently in)
     */
    world: string;
    /** X coordinate of the waypoint */
    x: number;
    /** Y coordinate of the waypoint */
    y: number;
    /** Z coordinate of the waypoint */
    z: number;
    /** Color of the waypoint */
    color: number;
    forced: boolean;
    /** If the waypoint is visible*/
    visible: boolean;
}
export {};
