"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WaypointAddPacket = void 0;
const Packet_1 = require("../Packet");
class WaypointAddPacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeString(this.data.name);
        this.buf.writeString(this.data.world);
        this.buf.writeInt(this.data.color);
        this.buf.writeInt(this.data.x);
        this.buf.writeInt(this.data.y);
        this.buf.writeInt(this.data.z);
        this.buf.writeBoolean(this.data.forced);
        this.buf.writeBoolean(this.data.visible);
        this.buf.finish();
    }
    read() {
        this.data = {
            name: this.buf.readString(),
            world: this.buf.readString(),
            color: this.buf.readInt(),
            x: this.buf.readInt(),
            y: this.buf.readInt(),
            z: this.buf.readInt(),
            forced: this.buf.readBoolean(),
            visible: this.buf.readBoolean(),
        };
        return this.data;
    }
}
exports.WaypointAddPacket = WaypointAddPacket;
WaypointAddPacket.id = 23;
