import { Packet } from '../Packet';
export declare class WaypointRemovePacket extends Packet<WaypointRemove> {
    static id: number;
    write(data?: WaypointRemove): void;
    read(): WaypointRemove;
}
/**
 * Waypoint remove packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/shared/LCPacketWaypointRemove.java
 */
interface WaypointRemove {
    /** Name of the waypoint */
    name: string;
    /**
     * The world the waypoint is in (make it empty
     * to set the world the player is currently in)
     */
    world: string;
}
export {};
